curl --request PUT \
--url https://api.lendflow.com/api/applications/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"naics_code": null,
"sic_code": null,
"funding_advisor_id": null,
"underwriter_id": null,
"client_underwriter_id": null,
"client_funding_advisor_id": null,
"client_analyst_id": null,
"primary_bank_account_id": null,
"client_tracking_token": "b",
"tracking_tokens": [
"n"
],
"utm_parameters": null,
"utm_parameter_set_id": null,
"funds_needed_time": null,
"use_of_fund_id": null,
"analyst_id": null,
"is_discovery_complete": false,
"priority": "architecto"
}
'import requests
url = "https://api.lendflow.com/api/applications/{id}"
payload = {
"naics_code": None,
"sic_code": None,
"funding_advisor_id": None,
"underwriter_id": None,
"client_underwriter_id": None,
"client_funding_advisor_id": None,
"client_analyst_id": None,
"primary_bank_account_id": None,
"client_tracking_token": "b",
"tracking_tokens": ["n"],
"utm_parameters": None,
"utm_parameter_set_id": None,
"funds_needed_time": None,
"use_of_fund_id": None,
"analyst_id": None,
"is_discovery_complete": False,
"priority": "architecto"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
naics_code: null,
sic_code: null,
funding_advisor_id: null,
underwriter_id: null,
client_underwriter_id: null,
client_funding_advisor_id: null,
client_analyst_id: null,
primary_bank_account_id: null,
client_tracking_token: 'b',
tracking_tokens: ['n'],
utm_parameters: null,
utm_parameter_set_id: null,
funds_needed_time: null,
use_of_fund_id: null,
analyst_id: null,
is_discovery_complete: false,
priority: 'architecto'
})
};
fetch('https://api.lendflow.com/api/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"client_id": null,
"brand_name_id": null,
"workflow_segment": null,
"client_tracking_token": null,
"status": null,
"closing_status_id": null,
"progress": 0,
"use_of_fund_id": null,
"docusign_placeholder_id": null,
"contract_template_id": null,
"consent_template_id": null,
"funds_needed_time_id": null,
"is_business_credit": false,
"is_equipment_rental": false,
"is_data_capture": false,
"is_discovery_complete": null,
"finished_type": null,
"finished_at": null,
"amount_needed": null,
"referrer_url": null,
"source": null,
"underwriter_review_needed": null,
"created_at": null,
"updated_at": null,
"offers_declined_feedback": null,
"offers_declined_at": null,
"has_bank_data": false,
"moneythumb_book": null,
"stage": null,
"is_client_funded": false,
"repayment_percentage": 0,
"score_card_id": null,
"score_card_group_id": null,
"has_insurance": null,
"deal_mode": 1,
"workflow": 1,
"has_death_notification": false,
"tracking_tokens": [],
"priority": null
}
}Update Application
Updates the application’s attributes and returns the updated application. Tracking tokens, UTM parameters, and user assignments are synced when they are included in the request.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
Body
null
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must not be greater than 50 characters.
"b"
Must not be greater than 255 characters.
["n"]
Show child attributes
Show child attributes
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
Must match an existing stored value.
null
false
highest, high, medium, low, lowest, none "architecto"
Response
Show child attributes
Show child attributes
Was this page helpful?